Bug 320102 - folderview doesn't work when home directory path is longer than 32 characters
Summary: folderview doesn't work when home directory path is longer than 32 characters
Status: RESOLVED UNMAINTAINED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-folderview (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Ignat Semenov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-21 17:01 UTC by gustavo
Modified: 2018-06-08 18:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gustavo 2013-05-21 17:01:29 UTC
Whenever the home directory path of a user is longer than 32 characters folder view displays the

"the process for the desktop protocol died unexpectedly" 

An example of such case would be:

/home/MYDOMAINISM/administrator

A user whose username is shorter by one character would have folderview displays the contents perfectly.

Reproducible: Always

Steps to Reproduce:
1. create a user with a username such the its home directory path exceeds 32 characters
2. login in
3. realize that the folderview contents are not displayed - an error is present in the folderview area instead
Actual Results:  
Instead of the folder contents we see an error in the folderview area

Expected Results:  
We should see the folder contents
Comment 1 Jekyll Wu 2013-05-28 14:01:57 UTC
which version is this about ? fail to reproduce using 4.10.3
Comment 2 gustavo 2013-05-28 14:09:28 UTC
This is kde 4.8.5 on ubuntu 12.04 LTS.

Home directories are NFS mounted and users are authenticated with winbind.
Comment 3 Martin Flöser 2013-06-06 12:05:02 UTC
sorry 4.8 is no longer maintained. Please reopen if still a problem with 4.10.4 or later
Comment 4 gustavo 2013-06-09 15:27:34 UTC
Martin, this is more than folderview and likely not 4.8 specific. It is a failure on socket creation due to longer-than-the-limit path. 

See for example this bug:

https://bugs.kde.org/show_bug.cgi?id=277839

that is set to CONFIRMED.

The question is what to do with sockets created on KDETMP, KDEVARTMP or .local (akonadi...) so that we don't hit this problem.
Comment 5 Nate Graham 2018-06-08 18:53:59 UTC
Hello!

This bug report was filed for KDE Plasma 4, which reached end-of-support status in August 2015. KDE Plasma 5's desktop shell has been almost completely rewritten for better performance and usability, so it is likely that this bug is already resolved in Plasma 5.

Accordingly, we hope you understand why we must close this bug report. If the issue described  here is still present in KDE Plasma 5.12 or later, please feel free to open a new ticket in the "plasmashell" product after reading https://community.kde.org/Get_Involved/Bug_Reporting

If you would like to get involved in KDE's bug triaging effort so that future mass bug closes like this are less likely, please read https://community.kde.org/Get_Involved#Bug_Triaging

Thanks for your understanding!

Nate Graham